---
title: Linux
url: https://docs.vultr.com/products/storage/storage-gateway/mount/linux
description: A guide for mounting Vultr Storage Gateway on Linux systems to access VFS volumes over NFSv4.
publish_date: 2025-05-16T16:46:40.190169Z
last_updated: 2026-05-26T19:42:30.122044Z
---

# How to Mount Vultr Storage Gateway in Linux
Mounting a Vultr Storage Gateway — an NFS Gateway for Vultr File System (VFS) — allows your Vultr Bare Metal and Cloud Compute instances to access VFS volumes over NFSv4. This integration enables seamless, high-performance cloud storage access with the flexibility and scalability of VFS, eliminating the limitations of local disks.
Follow this guide to mount a Vultr Storage Gateway on a Linux instance using the NFS protocol.
1. Install the required dependencies based on your operating system. These tools enable your instance to communicate with the Vultr Storage Gateway using the NFS protocol.
    * Ubuntu/Debian
        * Update the server package index and install the `nfs-common` package.
            ```console
            $ sudo apt update && sudo apt install nfs-common -y
            ```
    * RHEL/RockyLinux/AlmaLinux
        * Install the `nfs-common` package.
            ```console
            $ sudo dnf install nfs-utils -y
            ```
1. Send a `GET` request to the [**List Storage Gateways** endpoint](https://docs.vultr.com/api/#tag/storage-gateways/operation/list-storage-gateways) to retrieve all your available Storage Gateways, and note the IP address defined in the `public_ips` array under the `network_config` section, you’ll use this IP address to mount the Storage Gateway.
    ```console
    $ curl "https://api.vultr.com/v2/storage-gateways" \
        -X GET \
        -H "Authorization: Bearer ${VULTR_API_KEY}"
    ```
1. Use the below command to mount your Vultr Storage Gateway to a local directory. Replace `<storage-gateway-ip>`, `<export-path>`, and `<mount-point>` with the actual values from your setup.
    ```console
    $ sudo mount -v -t nfs -o vers=4.2,soft,rw <storage-gateway-ip>:/<export-path> /mnt/vfs
    ```
    * `vers=4.2`: specifies the NFS version.
    * `soft`: allows the system to timeout if the server is unresponsive.
    * `rw`: mounts the export with read/write access.
    * `/mnt/vfs`: is your local mount point. You can create it using `mkdir -p /mnt/vfs` if it doesn’t exist.
1. Back up the existing /etc/fstab file before making any changes.
    ```console
    $ sudo cp /etc/fstab /etc/fstab.bak
    ```
1. Open the `/etc/fstab` file in a text editor.
    ```console
    $ sudo nano /etc/fstab
    ```
1. Add the following line at the end of the file to ensure the Vultr Storage Gateway mounts automatically on boot.
    ```ini
    <storage-gateway-ip>:/<export-path>  /mnt/vfs  nfs  defaults,_netdev,vers=4.2,soft,rw  0  0
    ```
    Replace `<storage-gateway-ip>` and `<export-path>` with the actual values from your setup.
1. Reload the system daemon.
    ```console
    $ sudo systemctl daemon-reexec
    ```
1. Apply the changes and test the configuration.
    ```console
    $ sudo mount -a
    ```
    Your Vultr Storage Gateway is now permanently mounted to your instance.